=== debian/changelog ===
dbus-cpp (5.0.3-6build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:41:24 +0100

dbus-cpp (5.0.3-6) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 19:51:17 +0200

dbus-cpp (5.0.3-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/watch: Amend watch URL.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix gcc13 build (closes: #1037617)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 04:02:18 +0200

dbus-cpp (5.0.3-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * [debian/*.symbols] Mark symbols optional on LTO builds
    (will be optimized out)

 -- Marius Gripsgard <marius@ubports.com>  Tue, 10 Jan 2023 20:27:19 +0100

dbus-cpp (5.0.3-3) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/tests:
    + Fix right path for benchmark
  * debian/patches:
    + Add 0001-src-Don-t-steal-a-pending-dbus-call-more-then-once.patch.
      src: Don't *steal* a pending dbus call more then once. (Closes:
      #888995).

  [ Mike Gabriel ]
  * debian/rules:
    + Add inclusion of buildflags.mk.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 15:19:48 +0100

dbus-cpp (5.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Drop 0001_explicitly-declare-copy-constructor.patch,
      1003_increase-asyncexec-test-timeout.patch. Not required anymore.
    + Rename dont-build-with-werror.patch to 2001_dont-build-with-werror.patch
      and marke patch-forwarding as not-required.
  * debian/rules:
    + Don't derived upstream version from package version.
  * debian/control:
    + Fix whitespace flaw in B-D: field.
    + Copy over dev:pkgs in build requirements to Depends: field of dev:pkg
      libdbus-cpp-dev.
  * debian/VERSION:
    + Drop file. Where did this come from?
  * debian/*.lintian-overrides:
    + Drop files. Not wanted anymore.
  * debian/*:
    + Make bin:pkg dbus-cpp-dev-examples multi-arch:foreign and ship example
      files in /usr/libexec/.
  * debian/libdbus-cpp5.symbols:
    + Add Build-Depends-Package: metadata field.
  * debian/libdbus-cpp5.install:
    + Drop .install.in file, drop comment.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Jul 2021 16:55:09 +0200

dbus-cpp (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jul 2021 22:27:12 +0200

dbus-cpp (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_fix-build-with-boost-1.66.0-and-above.patch.
      Applied upstream.
    + Rebase 0001_explicitly-declare-copy-constructor.patch and
      dont-build-with-werror.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 17:39:06 +0100

dbus-cpp (5.0.1-5) unstable; urgency=medium

  * debian/rules:
    + Run unit tests in --no-parallel mode.
  * debian/tests/0002-benchmark:
    + Run benchmark test wrapped by dbus-test-runner.
  * debian/tests/control:
    + Add requirement dbus-test-runner for test 0002-benchmark.
  * debian/control
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Dec 2020 16:34:11 +0000
