=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp/-/tags .*/dbus-cpp-(\d\S+)\.tar\.gz
