=== debian/changelog ===
dbus-cpp (5.0.4-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:35 +0200

dbus-cpp (5.0.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_extend-async-execution-load-test-for-slow-archs.patch. Extend
      waitFor phase in async_execution_load_test to 10min (instead of 5min).
      To fix unit test failures on slow architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 17:58:14 +0100

dbus-cpp (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.
    + Rebase 2001_dont-build-with-werror.patch.
    + Drop 0003-Bump-cpp-std-to-14-fixes-googletest-1.13.0.patch. Not required
      anymore. C++-standard not explicitly set anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 15:09:05 +0100

dbus-cpp (5.0.3-8) unstable; urgency=medium

  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).
  * debian/libdbus-cpp5.symbols:
    + Drop file. (Closes: #1015380).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:52:29 +0200

dbus-cpp (5.0.3-7) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 10:43:55 +0200
