=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libboost-program-options-dev,
                libdbus-1-dev,
                libgtest-dev,
-               libprocess-cpp-dev,
+               libprocess-cpp-dev (>= 3.0.2),
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
                pkg-kde-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp
