=== debian/tests/control ===
Tests: 0001-dbus-cppc
Depends: @
Restrictions: allow-stderr

Tests: 0002-benchmark
Depends: @, dbus-test-runner
Restrictions: allow-stderr
