## dbus-cpp 5.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 # Authored by: Thomas Voss <thomas.voss@canonical.com>
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 
 project(dbus-cpp)
 
@@ -24,7 +24,7 @@
 
 message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
-find_package(Boost COMPONENTS filesystem program_options system REQUIRED)
+find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options system REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig REQUIRED)
