=== debian/changelog ===
dbus-cpp (5.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Bump cmake_minimum_required() to 3.5. (Closes: #1112829).
  * debian/patches:
    + Drop 1001_extend-async-execution-load-test-for-slow-archs.patch. Applied
      upstream.
  * debian/{control,rules}:
    + Stop using pkgkde_symbolshelper DH extension, drop pkg-kde-tools from
      B-D: field.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 10:57:41 +0200
