=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-               pkg-kde-tools,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
