## dbus-cpp 5.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,11 @@
 
 set(DBUS_CPP_VERSION_MAJOR 5)
 set(DBUS_CPP_VERSION_MINOR 0)
-set(DBUS_CPP_VERSION_PATCH 4)
+set(DBUS_CPP_VERSION_PATCH 6)
 
 message(STATUS "${CMAKE_PROJECT_NAME} ${DBUS_CPP_VERSION_MAJOR}.${DBUS_CPP_VERSION_MINOR}.${DBUS_CPP_VERSION_PATCH}")
 
-find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options system REQUIRED)
+find_package(Boost 1.66 REQUIRED COMPONENTS filesystem program_options REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(PkgConfig REQUIRED)
