=== debian/changelog ===
dbus-cpp (5.0.6-2) unstable; urgency=medium

  * Team upload
  * Remove obsolete Build-Depends: libboost-system-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 10:47:15 -0500

dbus-cpp (5.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes build with boost 1.90 (Closes: #1127184)
  * Bump minimum process-cpp to 3.0.3
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Feb 2026 10:19:09 -0500
