=== debian/control ===
--- 
+++ 
@@ -11,16 +11,14 @@
                doxygen,
                google-mock,
                libboost-filesystem-dev,
-               libboost-system-dev,
                libboost-program-options-dev,
                libdbus-1-dev,
                libgtest-dev,
-               libprocess-cpp-dev (>= 3.0.2),
+               libprocess-cpp-dev (>= 3.0.3),
                libproperties-cpp-dev,
                libxml2-dev,
                lsb-release,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.com/ubports/development/core/lib-cpp/dbus-cpp
 Vcs-Git: https://salsa.debian.org/ubports-team/dbus-cpp.git
